<?php

define('DEBUG', true);
define('ENV', ENV_DEV);

$GLOBALS['walletName'] = 'sicbosmartcowallet';
$GLOBALS['URL_DICE'] = 'http://test-sicbo.duowan.com/';
$GLOBALS['URL_BOX'] = 'http://test-box.eosget.io/';
$GLOBALS['FIRE_BASE_KEY'] = 'CMkZdX3MV9zVejrENenKBeT4hC1M_qJsFhfF1IIPCEs';

$GLOBALS['verifyPath'] = '/data/webapps/test-sicboapi.duowan.com/verify.js';
if (defined('IS_ENV_LOCAL')) {
    $GLOBALS['verifyPath'] = BASE_DIR . '../api/verify.js';
}

$path = '';
if (@$GLOBALS['IS_WEB_DEV']) {
    $path = '/data/webapps/dice_conf';
} else {
    $path = BASE_DIR . '../dice_conf';
}

$GLOBALS['walletPwd'] = trim(file_get_contents("{$path}/wallet_pwd.txt"));
$GLOBALS['robotPwd'] = trim(file_get_contents("{$path}/robot_pwd.txt"));
//$GLOBALS['eosgetadminPwd'] = trim(file_get_contents("{$path}/eosgetadmin_pwd.txt"));

$GLOBALS['publicKeyAdmin'] = 'EOS5UJR2Np5NPaAJaNpew5aQBRpEKdKBKftPcWhA5fngx3mrax2Bp';
//$GLOBALS['eosUrl'] = 'https://api.jungle.alohaeos.com/';

//https://localnet.eosget.io/
$GLOBALS['eosProtocol'] = 'https';
$GLOBALS['eosHost'] = 'localnet.eosget.io';
$GLOBALS['eosPort'] = 443;
$GLOBALS['eosUrl'] = "{$GLOBALS['eosProtocol']}://{$GLOBALS['eosHost']}:{$GLOBALS['eosPort']}/";

define("CALL_LOG_KEY", "logstash:dw#1");
define("URL_CDN", '/');
define('URL_SICBO', 'http://test-sicbo.duowan.com/');
//define('URL_SICBO', 'http://sicbopc.webdev2.duowan.com/');

//webpush
define('MESSAGING_PRIVATE_KEY', 'u6CKkk1-8dnejuOs7twd65KDCgVTz2BQt1pDIsW-Rjc');
define('MESSAGING_PUBLIC_KEY', 'BAEJLGwWlflC8M1aN2Xj2GEwNp5_2Lv_-yjm29XVT93nbgdZkSH4pqDYKx60wjt0oyUg1Fw_LlEfs3i3-Lgi2yw');

define('URL_MEECHAT', 'https://test.mee.chat/');
define('MEE_APP_ID', 'XJQ2Qc24bMJnAZWg9p43JUsH');
define('MEE_APP_SECRET', 'uQhF3M8t3MkNKG2g');
//end of script
